RDCode: RDKit::MolChemicalFeatureDef Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDKit::MolChemicalFeatureDef Class Reference

`#include <MolChemicalFeatureDef.h>`

List of all members.

## Public Types
typedef std::list < boost::shared_ptr < MolChemicalFeatureDef > > | CollectionType
## Public Member Functions
| MolChemicalFeatureDef ()
| MolChemicalFeatureDef (const std::string &smarts, const std::string &family, const std::string &type)
unsigned int | getNumWeights () const
std::vector< double > ::iterator | beginWeights ()
std::vector< double > ::iterator | endWeights ()
std::vector< double > ::const_iterator | beginWeights () const
std::vector< double > ::const_iterator | endWeights () const
void | setWeights (const std::vector< double > &weights)
const std::string & | getFamily () const
const std::string & | getType () const
const std::string & | getSmarts () const
void | normalizeWeights ()
const ROMol * | getPattern () const

## Detailed Description

Definition at line 18 of file MolChemicalFeatureDef.h.

## Member Typedef Documentation

typedef std::list< boost::shared_ptr<MolChemicalFeatureDef> > RDKit::MolChemicalFeatureDef::CollectionType

Definition at line 20 of file MolChemicalFeatureDef.h.

## Constructor & Destructor Documentation

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( |  | ) | `[inline]`

Definition at line 22 of file MolChemicalFeatureDef.h.

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( | const std::string & | smarts,
|  | const std::string & | family,
|  | const std::string & | type |
| ) |  |  |

## Member Function Documentation

unsigned int RDKit::MolChemicalFeatureDef::getNumWeights | ( |  | ) | const`[inline]`

Definition at line 26 of file MolChemicalFeatureDef.h.

std::vector<double>::iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) | `[inline]`

Definition at line 27 of file MolChemicalFeatureDef.h.

std::vector<double>::iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) | `[inline]`

Definition at line 28 of file MolChemicalFeatureDef.h.

std::vector<double>::const_iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) | const`[inline]`

Definition at line 30 of file MolChemicalFeatureDef.h.

std::vector<double>::const_iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) | const`[inline]`

Definition at line 31 of file MolChemicalFeatureDef.h.

void RDKit::MolChemicalFeatureDef::setWeights | ( | const std::vector< double > & | weights | ) | `[inline]`

Definition at line 33 of file MolChemicalFeatureDef.h.

const std::string& RDKit::MolChemicalFeatureDef::getFamily | ( |  | ) | const`[inline]`

Definition at line 37 of file MolChemicalFeatureDef.h.

const std::string& RDKit::MolChemicalFeatureDef::getType | ( |  | ) | const`[inline]`

Definition at line 38 of file MolChemicalFeatureDef.h.

const std::string& RDKit::MolChemicalFeatureDef::getSmarts | ( |  | ) | const`[inline]`

Definition at line 39 of file MolChemicalFeatureDef.h.

void RDKit::MolChemicalFeatureDef::normalizeWeights | ( |  | ) |

const ROMol* RDKit::MolChemicalFeatureDef::getPattern | ( |  | ) | const`[inline]`

Definition at line 43 of file MolChemicalFeatureDef.h.

The documentation for this class was generated from the following file:

- MolChemicalFeatureDef.h